module.exports = {
    presets: ["next/babel"],
    plugins: [
        [
            "module-resolver",
            {
                extensions: [".js", ".jsx", ".es", ".es6", ".mjs"],
                resolvePath(sourcePath, currentFile, opts) {
                    console.log("AAAAAAAAAA", sourcePath, currentFile, opts);
                    if (sourcePath === "./index.js") {
                        return "./index.tsx";
                    }
                    return sourcePath;
                },
            },
        ],
    ],
};
